DB manager error when using "move to schema"

2016-02-02 10:31 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Sebastian Dietrich

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22219

Description

In QGIS 2.12 and master the "move to schema" functionality stopped to work

2016-02-02T18:29:40    1    Traceback (most recent call last):

              File "/usr/share/qgis/python/plugins/db_manager/db_plugins/plugin.py", line 466, in <lambda>

                slot = lambda x: lambda: mainWindow.invokeCallback(self.moveTableToSchemaActionSlot, [x])

              File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 287, in invokeCallback

                callback(self.tree.currentItem(), self.sender(), self, *params)

              File "/usr/share/qgis/python/plugins/db_manager/db_plugins/plugin.py", line 482, in moveTableToSchemaActionSlot

                item.moveToSchema(new_schema)

              File "/usr/share/qgis/python/plugins/db_manager/db_plugins/plugin.py", line 650, in moveToSchema

                ret = self.database().connector.moveTableToSchema((self.schemaName(), self.name), schema.name)

            AttributeError: 'list' object has no attribute 'name'

Associated revisions

Revision 0ab36538 - 2016-02-13 01:01 AM - Sebastian Dietrich 

[DbManager] Fix the 'MoveToSchema' functionality (fixes #14219)

Revision 25c28944 - 2016-02-14 07:07 PM - Jürgen Fischer

Merge pull request #2789 from SebDieBln/DbManager_FixMoveToSchema

[DbManager] Fix the 'MoveToSchema' functionality (fixes #14219)

History

#1 - 2016-02-12 04:00 PM - Sebastian Dietrich

- Priority changed from Severe/Regression to High

- Assignee set to Sebastian Dietrich

- Status changed from Open to In Progress

I am on it.

I set the priority from Blocker to High because it did not block the release of 2.12 and consequently it can not block the release of 2.14 either. Is that
correct?

#2 - 2016-02-12 05:00 PM - Sebastian Dietrich

- Pull Request or Patch supplied changed from No to Yes

- % Done changed from 0 to 100

Regression bisected to commit:80a13e38526d7c7e6cc4869170818b66955e6517.

See PR 2789 for a solution.

#3 - 2016-02-14 10:08 AM - Jürgen Fischer

- Status changed from In Progress to Closed

Fixed in changeset commit:"25c289441ef2074826cf27aac6fb49667e8d9a23".
https://github.com/qgis/QGIS/pull/2789

